package dev.micle.totemofreviving.setup;

import dev.micle.totemofreviving.TotemOfReviving;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraftforge.registries.RegistryObject;

public class ModCreativeModeTabs {
    public static RegistryObject<CreativeModeTab> MAIN = Registration.CREATIVE_MODE_TABS.register("Main",
            () -> CreativeModeTab.builder()
                    .title(Component.translatable(String.format("itemGroup.%s.main", TotemOfReviving.MOD_ID)))
                    .icon(ModItems.STRAW_TOTEM.get()::getDefaultInstance)
                    .displayItems((itemDisplayParameters, output) -> {
                        output.accept(ModItems.STRAW_TOTEM.get());
                        output.accept(ModItems.IRON_TOTEM.get());
                        output.accept(ModItems.DIAMOND_TOTEM.get());
                        output.accept(ModItems.NETHERITE_TOTEM.get());

                        output.accept(ModItems.STRAW_CHARGE.get());
                        output.accept(ModItems.IRON_CHARGE.get());
                        output.accept(ModItems.DIAMOND_CHARGE.get());
                        output.accept(ModItems.NETHERITE_CHARGE.get());
                    })
                    .build()
    );

    public static void register() {}
}
